Package org.apache.sling.maven.jspc

## Class DependencyTracker

- java.lang.Object
- - org.apache.sling.maven.jspc.DependencyTracker

    public class DependencyTracker
    extends Object

### Constructor Summary

Constructors
`DependencyTracker​(org.apache.maven.plugin.logging.Log logger, Path projectDirectory, Path sourceDirectory, JspCServletContext jspCServletContext, TrackingClassLoader classLoader, List<org.apache.maven.artifact.Artifact> compileScopeArtifacts)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `collectJSPInfo​(String jspFile, org.apache.sling.scripting.jsp.jasper.compiler.PageInfo pageInfo)`
`Map<String,​Set<String>>` `getJspDependencies()`
`Map<String,​Set<String>>` `getPackageProviders()`
`Set<String>` `getUnusedDependencies()`
`void` `processCompileDependencies()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DependencyTracker

    public DependencyTracker​(org.apache.maven.plugin.logging.Log logger,
                             Path projectDirectory,
                             Path sourceDirectory,
                             JspCServletContext jspCServletContext,
                             TrackingClassLoader classLoader,
                             List<org.apache.maven.artifact.Artifact> compileScopeArtifacts)

### Method Detail

#### processCompileDependencies

    public void processCompileDependencies()

#### collectJSPInfo

    public void collectJSPInfo​(String jspFile,
                               org.apache.sling.scripting.jsp.jasper.compiler.PageInfo pageInfo)

#### getPackageProviders

    public Map<String,​Set<String>> getPackageProviders()

#### getUnusedDependencies

    public Set<String> getUnusedDependencies()

#### getJspDependencies

    public Map<String,​Set<String>> getJspDependencies()